Jupiter Money interview experience Real time questions & tips from candidates to crack your interview

SDE - 1

Jupiter Money
upvote
share-icon
4 rounds | 5 Coding problems

Interview preparation journey

expand-icon
Preparation
Duration: 6 months
Topics: Data Structures, Algorithms, OOPS, Greedy algo, Dynamic Programming, System design
Tip
Tip

Tip 1 : solve as many questions as possible
Tip 2 : take part in contests on codechef and codeforces
Tip 3 : try to design simple systems like parking lot and hotel management
Tip 4 : be proficient in any one language (c++, java, python preferable)

Application process
Where: Other
Eligibility: No criteria
Resume Tip
Resume tip

Tip 1 : please describe your projects along with the impact your work has left on the project
Tip 2 : don't make a mess by adding all types of skills like web dev, backend, frontend, blockchain, ML etc in your resume at once, stick to one or at most two domains and get good in those
Tip 3 : have atleast 3 good projects memtioned related to your domain

Interview rounds

01
Round
Easy
Video Call
Duration60 Minutes
Interview date18 Dec 2021
Coding problem2

Round was at 11am, the interview was a very outgoing amd understanding guy. Helped set a good atmosphere for the interview which in turn relaxed my nerves and helped me think with a clear mind.

1. Anagram Pairs

Moderate
30m average time
60% success
0/80
Asked in companies
Thought WorksAmerican ExpressCisco

You are given two strings 'str1' and 'str1'.


You have to tell whether these strings form an anagram pair or not.


The strings form an anagram pair if the letters of one string can be rearranged to form another string.

Pre-requisites:

Anagrams are defined as words or names that can be formed by rearranging the letters of another word. Such as "spar" can be formed by rearranging letters of "rasp". Hence, "spar" and "rasp" are anagrams. 

Other examples include:

'triangle' and 'integral'
'listen' and 'silent'
Note:
Since it is a binary problem, there is no partial marking. Marks will only be awarded if you get all the test cases correct. 
Problem approach

1. Used two frequency arrays to store the frequency of letters of both strings seperately.
2. Compared the frequency arrays. If they're same then the strings are anagram else they are not!

Pretty straightforward

Try solving now

2. Minimum Difference

Moderate
20m average time
80% success
0/80
Asked in companies
AmazonTata Consultancy Services (TCS)Soft Suave

Goku is fighting Jiren in “Tournament of Power”. If Goku loses then Universe 7 will get destroyed by Zeno but if Jiren loses then Universe 11 will get destroyed and Universe 7 will survive. Both Goku and Jiren launched ‘N’ attacks towards each other. Each attack has some energy. Jiren has a special ability through which he can absorb the attacks of Goku. If Goku launches an attack with energy ‘A’ and Jiren launches an attack with energy ‘B’ then

If ‘A’ > ‘B’, then Goku’s attack will destroy Jiren’s attack but Jiren will absorb Goku’s attack and absorb energy = ‘A’ – ‘B’.

If ‘A’ < ‘B’, then Jiren’s attack will destroy Goku’s attack and Jiren will absorb the remaining energy of his attack which is equal to = ‘B’ – ‘A’.

If ‘A’ == ‘B’, then both Goku’s and Jiren’s attack will get destroyed and Jiren will not absorb any energy.

Goku finds out the energy of all attacks of Jiren and the order in which Jiren is going to attack with the help of Whis. As Jiren becomes powerful by absorbing energy, Goku wants to minimize the total energy absorbed by Jiren by rearranging the order of his attacks.

As Goku is busy fighting with Jiren, he called you for help.

The fate of Universe 7 lies in your hand.

Problem approach

1. First we'll have to convert these times into a comparable form, i.e. minutes so taking 00:00 as the starting point, calculate time for each element in minutes.( Taking 11:30 am as the example, Multiply the number formed by first two elements by 60, i.e 11*60 then add the two elements after the : i.e 11*60 + 30. If its am then no changes else add 12*60 to the above equation coz pm denotes 12 more hours passed from the am time. *I hope this is making sense* once you have this array ready... You can find the elements with the least difference by sorting the array and iterating through it!

Try solving now
02
Round
Medium
Video Call
Duration60 Minutes
Interview date20 Dec 2021
Coding problem1

The round was at 12pm and just like the previous one, the interviewer was a friendly guy ready to hear out all my problems and have a good brain storming session with me.

1. Search In A Row Wise And Column Wise Sorted Matrix

Moderate
15m average time
80% success
0/80
Asked in companies
AdobeOracleMicrosoft

You are given an 'N * N' matrix of integers where each row and each column is sorted in increasing order. You are given a target integer 'X'.


Find the position of 'X' in the matrix. If it exists then return the pair {i, j} where 'i' represents the row and 'j' represents the column of the array, otherwise return {-1,-1}


For example:
If the given matrix is:
[ [1, 2, 5],
  [3, 4, 9],
  [6, 7, 10]] 
We have to find the position of 4. We will return {1,1} since A[1][1] = 4.
Problem approach

Take advantage of the fact that this matrix is sorted. Divide the matrix by the diagonal and then check whether the number lies in the upper half or the lower half.

Try solving now
03
Round
Medium
Video Call
Duration60 Minutes
Interview date20 Dec 2021
Coding problem1

The round was at 3pm and the interview was a very understanding guy, listened to all my queries and gave insightful replies to them that helped me solve the problem

1. System Design Question

Design a hotel management system

Problem approach

Tip 1 : please try take part in mock system design interviews
Tip 2 : get all the requirements of the system sorted out

04
Round
Easy
Video Call
Duration60 Minutes
Interview date20 Dec 2021
Coding problem1

This was not actually a technical round, it was a behavioural one. The round was at 4:15 pm. The interviewer was a really enthusiastic guy wanting to know mlre about me and up for a really good conversation to know me better.

1. Basic HR Questions

Just normal talks about myself. My interests and hobbies.

Problem approach

Tip 1 : Just be yourself, no need to put up a superficial behaviour.

Here's your problem of the day

Solving this problem will increase your chance to get selected in this company

Skill covered: Programming

Which array operation has O(n) worst-case time complexity?

Choose another skill to practice
Similar interview experiences
company logo
SDE - 1
1 rounds | 3 problems
Interviewed by Jupiter Money
1064 views
0 comments
0 upvotes
company logo
SDE - 1
2 rounds | 2 problems
Interviewed by Jupiter Money
1145 views
1 comments
0 upvotes
company logo
SDE - 1
3 rounds | 3 problems
Interviewed by Jupiter Money
905 views
0 comments
0 upvotes
company logo
SDE - 1
3 rounds | 3 problems
Interviewed by Jupiter Money
816 views
0 comments
0 upvotes
Companies with similar interview experiences
company logo
SDE - 1
5 rounds | 12 problems
Interviewed by Amazon
108664 views
24 comments
0 upvotes
company logo
SDE - 1
4 rounds | 5 problems
Interviewed by Microsoft
52875 views
5 comments
0 upvotes
company logo
SDE - 1
3 rounds | 7 problems
Interviewed by Amazon
32564 views
6 comments
0 upvotes